diff options
Diffstat (limited to 'find-provides.in')
-rwxr-xr-x | find-provides.in | 6 |
1 files changed, 6 insertions, 0 deletions
diff --git a/find-provides.in b/find-provides.in index cdfd147..cd9ba09 100755 --- a/find-provides.in +++ b/find-provides.in @@ -92,6 +92,12 @@ done | sort -u echo "$filelist" | tr '[:blank:]' \\n | @RPMVENDORDIR@/fontconfig.prov --provides | sort -u \ && test ${PIPESTATUS[2]} -ne 0 && echo 'error: @RPMVENDORDIR@/fontconfig.prov failed' >&2 && exit 1 +# +# --- typelib() gobject-introspection bindings +[ -x @RPMVENDORDIR@/gi-find-deps.sh ] && + echo "$filelist" | tr '[:blank:]' \\n | @RPMVENDORDIR@/gi-find-deps.sh -P | sort -u \ + && test ${PIPESTATUS[2]} -ne 0 && echo 'error: @RPMVENDORDIR@/gi-find-deps.sh failed' >&2 && exit 1 + if [ -n "$LIBTOOLDEP" ]; then # # --- libtooldep deps |